Index: guiframe/config.py
===================================================================
--- guiframe/config.py	(revision 8500e2ca48bcc5bd883041732a5876308bc4f5a3)
+++ guiframe/config.py	(revision ea4dfe0899dbe72173db3b8e241832ae57d971ea)
@@ -60,6 +60,6 @@
 SPLASH_SCREEN_HEIGHT = 300
 SS_MAX_DISPLAY_TIME = 3000 #3 sec
-PLOPANEL_WIDTH = 400
-PLOPANEL_HEIGTH = 400
+PLOPANEL_WIDTH = 350
+PLOPANEL_HEIGTH = 350
 GUIFRAME_WIDTH = 1000
 GUIFRAME_HEIGHT = 800
Index: guiframe/data_panel.py
===================================================================
--- guiframe/data_panel.py	(revision 83a75c550db0f5ba5d6b292d02033592e0be90ed)
+++ guiframe/data_panel.py	(revision ea4dfe0899dbe72173db3b8e241832ae57d971ea)
@@ -44,7 +44,7 @@
 EXTENSIONS = config.PLUGIN_STATE_EXTENSIONS + extension_list   
 
-PANEL_WIDTH = 180
-#PANEL_HEIGHT = 560
+PANEL_WIDTH = 250
 PANEL_HEIGHT = 700
+CBOX_WIDTH = 140
 STYLE_FLAG =wx.RAISED_BORDER|CT.TR_HAS_BUTTONS| CT.TR_HIDE_ROOT|\
                     wx.WANTS_CHARS|CT.TR_HAS_VARIABLE_ROW_HEIGHT
@@ -91,6 +91,7 @@
     def __init__(self, parent, 
                  list=None,
-                 list_of_perspective=None,
-                 size=(PANEL_WIDTH,PANEL_HEIGHT), manager=None, *args, **kwds):
+                 size=(PANEL_WIDTH, PANEL_HEIGHT),
+                 list_of_perspective=None, manager=None, *args, **kwds):
+       
         kwds['size']= size
         kwds['style'] = STYLE_FLAG
@@ -287,4 +288,5 @@
         Layout widgets related to buttons
         """
+        w, _ = self.GetSize()
         self.bt_add = wx.Button(self, wx.NewId(), "Load Data")
         self.bt_add.SetToolTipString("Add data from the application")
@@ -296,5 +298,5 @@
         self.bt_import.SetToolTipString("Send set of Data to active perspective")
         wx.EVT_BUTTON(self, self.bt_import.GetId(), self.on_import)
-        self.perspective_cbox = wx.ComboBox(self, -1, 
+        self.perspective_cbox = wx.ComboBox(self, -1, size=(CBOX_WIDTH, -1),
                                 style=wx.CB_READONLY)
         wx.EVT_COMBOBOX(self.perspective_cbox,-1, 
@@ -319,5 +321,6 @@
         #self.tctrl_perspective.SetFont(perspective_font)
         #self.tctrl_perspective.SetClientSize((80,20))
-        self.cb_plotpanel = wx.ComboBox(self, -1, 
+        
+        self.cb_plotpanel = wx.ComboBox(self, -1, size=(CBOX_WIDTH, -1),
                                 style=wx.CB_READONLY|wx.CB_SORT)
         wx.EVT_COMBOBOX(self.cb_plotpanel,-1, self._on_plot_selection)
@@ -934,9 +937,5 @@
         else:
             self.bt_plot.Enable()
-        if not self.at_least_on_check:
-            self.bt_plot.Disable()
-        else:
-            self.bt_append_plot.Enable()
-            self.bt_plot.Enable()
+      
             
     def enable_append(self):
@@ -1012,5 +1011,5 @@
     ALWAYS_ON = True
     
-    def __init__(self, parent=None, owner=None, manager=None,size=(200, 800),
+    def __init__(self, parent=None, owner=None, manager=None,size=(300, 800),
                          list_of_perspective=[],list=[], *args, **kwds):
         kwds['size'] = size
Index: guiframe/gui_manager.py
===================================================================
--- guiframe/gui_manager.py	(revision 83a75c550db0f5ba5d6b292d02033592e0be90ed)
+++ guiframe/gui_manager.py	(revision ea4dfe0899dbe72173db3b8e241832ae57d971ea)
@@ -63,4 +63,5 @@
 GUIFRAME_WIDTH = config.GUIFRAME_WIDTH 
 GUIFRAME_HEIGHT = config.GUIFRAME_HEIGHT
+DATAPANEL_WIDTH = 250
 PLUGIN_STATE_EXTENSIONS =  config.PLUGIN_STATE_EXTENSIONS
 extension_list = []
@@ -429,5 +430,5 @@
         style = self.__gui_style & (GUIFRAME.MANAGER_ON)
         if self._data_panel is not None  and (p == self._data_panel):
-            panel_width_min = self._window_width * 4/25 
+            panel_width_min = DATAPANEL_WIDTH
             panel_height_min = self._window_height * 0.8
             return panel_width_min, panel_height_min
@@ -435,5 +436,6 @@
             style = self.__gui_style & (GUIFRAME.PLOTTING_ON|GUIFRAME.MANAGER_ON)
             if style == (GUIFRAME.PLOTTING_ON|GUIFRAME.MANAGER_ON):
-                panel_width_min = self._window_width * 15/25 
+                panel_width_min = self._window_width -\
+                            (DATAPANEL_WIDTH +config.PLOPANEL_WIDTH)
             return panel_width_min, panel_height_min
         return panel_width_min, panel_height_min
@@ -505,10 +507,7 @@
                     self._mgr.AddPane(p, wx.aui.AuiPaneInfo().
                                           Name(p.window_name).
-                                          Caption(p.window_caption).
-                                          #CenterPane().
+                                          CenterPane().
                                           Center().
                                           CloseButton(False).
-                                          #MinimizeButton(False).
-                                          #BestSize(wx.Size(w, h)).
                                           Hide())
             else:
@@ -622,6 +621,5 @@
                               BestSize(wx.Size(PLOPANEL_WIDTH, 
                                                PLOPANEL_HEIGTH)))
-                              #MinSize(wx.Size(PLOPANEL_WIDTH*0.9, 
-                              #                PLOPANEL_HEIGTH)))
+                        
             self._popup_fixed_panel(p)
     
@@ -2135,4 +2133,5 @@
         self.panel_on_focus = panel  
         self.set_panel_on_focus(None)
+        print " on_set_plot_focus"
          
     def _onDrawIdle(self, *args, **kwargs):
